Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5PipelineInternal::UnknownParser Struct Reference

Internal: the helper to read a unknown. More...

Inheritance diagram for RagTime5PipelineInternal::UnknownParser:

## Public Member Functions
| UnknownParser (int fieldSize, std::string const &zoneName)
| constructor More...
virtual | ~UnknownParser ()
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_fieldSize
| the field size More...

## Private Member Functions
| UnknownParser (UnknownParser &orig)
| copy constructor, not implemented More...
UnknownParser & | operator= (UnknownParser &orig)
| copy operator, not implemented More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a unknown.

## Constructor & Destructor Documentation

## ◆ UnknownParser() [1/2]

RagTime5PipelineInternal::UnknownParser::UnknownParser | ( | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~UnknownParser()

RagTime5PipelineInternal::UnknownParser::~UnknownParser | ( |  | ) |
| virtual

destructor

## ◆ UnknownParser() [2/2]

RagTime5PipelineInternal::UnknownParser::UnknownParser | ( | UnknownParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

UnknownParser& RagTime5PipelineInternal::UnknownParser::operator= | ( | UnknownParser & | orig | ) |
| private

copy operator, not implemented

## ◆ parseData()

bool RagTime5PipelineInternal::UnknownParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5PipelineInternal::UnknownParser::m_fieldSize

the field size

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx